<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="author" content="Meysam Naeimy">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Parsian Tadris</title>
    <link rel="stylesheet" href="bootstrap-4.5.3-dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="css/main.css">
    <link rel="stylesheet" href="css/fontawesome-free-5.15.3-web/css/all.min.css">
    <!--script page-->
    <script src="css/fontawesome-free-5.15.3-web/js/all.min.js"></script>
</head>
<body>
<main>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-2 col-md-1 p-0">
                <div class="parsian-circle step-1 active">
                    <span>1</span>
                </div>
                <div class="step-label">
                    <span>مرحله یک</span>
                </div>
            </div>
            <div class="col-1 p-0 btn-group-vertical">
                <div class="parsian-line"></div>
            </div>
            <div class="col-2 col-md-1 p-0">
                <div class="parsian-circle step-2">
                    <span>2</span>
                </div>
                <div class="step-label">
                    <span>مرحله دوم</span>
                </div>
            </div>
            <div class="col-1 p-0 btn-group-vertical">
                <div class="parsian-line"></div>
            </div>
            <div class="col-2 col-md-1 p-0">
                <div class="parsian-circle step-3">
                    <span>3</span>
                </div>
                <div class="step-label">
                    <span>مرحله سوم</span>
                </div>
            </div>
            <div class="col-1 p-0 btn-group-vertical">
                <div class="parsian-line"></div>
            </div>
            <div class="col-2 col-md-1 p-0">
                <div class="parsian-circle step-4">
                    <span>4</span>
                </div>
                <div class="step-label">
                    <span>مرحله چهارم</span>
                </div>
            </div>
        </div>
        <section id="step-1" class="step-body">
            <div class="row mt-5">
                <div class="col-12 col-md-5 m-md-auto">
                    <label for="userName" class="parsian-label">
                        <input type="text" id="userName" name="user_name" class="w-100" autocomplete="off" placeholder="نام کاربری">
                        <i class="far fa-user"></i>
                    </label>
                    <label for="password" class="parsian-label">
                        <input type="password" id="password" name="password" class="w-100" autocomplete="off" placeholder="پسورد">
                        <i class="far fa-eye" onclick="showPassword(this)"></i>
                    </label>
                </div>
            </div>
            <div class="row mt-5 text-center parsian-slider">
                <!--<div class="col-12 col-md-6 m-md-auto">-->
                    <!--<div class="row parsian-slider">-->
                        <span class="parsian-arrow-slider right" onclick="scrollSlider(event,'right')">
                            <i class="fas fa-angle-double-right"></i>
                        </span>
                <section class="body-slider">
                        <div class="col">
                            <label>
                                <div class="shape square-slider"></div>
                                <input type="radio" name="test">مربع
                            </label>
                        </div>
                        <div class="col">
                            <label>
                                <div class="shape circle-slider"></div>
                                <input type="radio" name="test">دایره
                            </label>
                        </div>
                        <div class="col">
                            <label>
                                <div class="shape oval-slider"></div>
                                <input type="radio" name="test">بیضی
                            </label>
                        </div>
                        <div class="col">
                            <label>
                                <div class="shape trapezoid-slider"></div>
                                <input type="radio" name="test">ذوزنقه
                            </label>
                        </div>
                        <div class="col">
                            <label>
                                <div class="shape rectangle-slider"></div>
                                <input type="radio" name="test">مستطیل
                            </label>
                        </div>
                        <div class="col">
                            <label>
                                <div class="shape parallelogram-slider"></div>
                                <input type="radio" name="test">متوازی الاضلاع
                            </label>
                        </div>
                        <div class="col">
                            <label>
                                <div class="shape triangle-up-slider"></div>
                                <input type="radio" name="test">مثلث
                            </label>
                        </div>
                </section>
                        <span class="parsian-arrow-slider left" onclick="scrollSlider(event,'left')">
                            <i class="fas fa-angle-double-left"></i>
                        </span>
                    <!--</div>-->
                <!--</div>-->
            </div>
            <div class="row">
                <div class="col-10 col-md-5 m-auto">
                    <section class="parsian-search-box">
                        <input type="text" name="search_box">
                        <button onclick="showResult()">
                            <i class="fas fa-search"></i>
                        </button>
                        <i class="fas fa-angle-down" onclick="showResult()"></i>
                        <ul class="result-search">
                            <li>توضیحات</li>
                            <li>بدون توضیحات</li>
                        </ul>
                    </section>
                </div>
            </div>
        </section>
        <section id="step-2" class="step-body">
            <h5>coming soon ...2</h5>
        </section>
        <section id="step-3" class="step-body">
            <h5>coming soon ...3</h5>

        </section>
        <section id="step-4" class="step-body">
            <h5>coming soon ...4</h5>

        </section>
        <div class="row justify-content-around mb-4 wrapper-btn">
            <div class="col-5 col-md-2">
                <button class="next" onclick="stepManager(this)" data-current-step="1" data-type-action="next">بعدی</button>
            </div>
            <div class="col-5 col-md-2">
                <button class="previous inactive" onclick="stepManager(this)" disabled data-current-step="1" data-type-action="prev">بازگشت</button>
            </div>

        </div>
    </div>
</main>

<script src="js/jquery-3.6.0/jquery-3.6.0.min.js"></script>
<script src="bootstrap-4.5.3-dist/js/bootstrap.min.js"></script>
<script type="text/javascript">
    function showPassword(element) {
        if ($(element).hasClass('fa-eye')){
            $(element).removeClass('fa-eye').addClass('fa-eye-slash');
            $('#password').attr('type','text');
        }
        else {
            $(element).removeClass('fa-eye-slash').addClass('fa-eye');
            $('#password').attr('type','password');
        }
    }
    function showResult() {
        if ($('.result-search').css('display') === 'block'){
            $('.result-search').css('display','none');
            $('.fa-angle-down').removeClass('up-arrow');
        }
        else {
            $('.result-search').css('display','block');
            $('.fa-angle-down').addClass('up-arrow');

        }
    }
    $('input[name="search_box"]').on('keyup',function(){
        if ($('.result-search').css('display') !== 'block') {
            showResult();
        }
        if ($(this).val() === ''){
            showResult();
        }
    });
    function stepManager(element){
        var action = $(element).attr('data-type-action'),
            currentStep = parseInt($(element).attr('data-current-step'));
        switch (action){
            case 'prev':
                console.log(currentStep);
                if (currentStep !== 1){
                    $(element).attr('data-current-step',currentStep-1);
                    $('.next').attr('data-current-step',currentStep-1);
                    $('.step-'+currentStep).removeClass('active');
                    $('.step-'+(currentStep-1)).addClass('active');
                    $('#step-'+currentStep).hide('normal');
                    $('#step-'+(currentStep-1)).show('normal');

                }
                if(currentStep === 2) {
                    $(element).addClass('inactive').attr('disabled','disabled');
                }
                break;
            default:
                if (currentStep === 1){
                    $('.previous').removeClass('inactive').attr('disabled',false);
                }
                if (currentStep < 4){
                    $(element).attr('data-current-step',currentStep+1);
                    $('.previous').attr('data-current-step',currentStep+1);
                    $('.step-'+currentStep).removeClass('active');
                    $('.step-'+(currentStep+1)).addClass('active');
                    $('#step-'+currentStep).hide('normal');
                    $('#step-'+(currentStep+1)).show('normal');
                }
                break;
        }
    }
    function scrollSlider(event,side_scroll) {
        if (side_scroll === 'left'){
            // $('.parsian-slider').currentTarget.scrollLeft;
            // document.querySelector('.body-slider').scrollLeft += 50;
            var scrollAmount = 0;
            var slideTimer = setInterval(function(){
                document.querySelector('.body-slider').scrollLeft += 50;
                scrollAmount += 50;
                if(scrollAmount >= 100){
                    window.clearInterval(slideTimer);
                }
            }, 150);
        }
        else {
            // $('.parsian-slider').currentTarget.scrollLeft;
            document.querySelector('.body-slider').scrollLeft -= 50;

            scrollAmount = 0;
            slideTimer = setInterval(function(){
                document.querySelector('.body-slider').scrollLeft -= 50;
                scrollAmount += 50;
                if(scrollAmount >= 100){
                    window.clearInterval(slideTimer);
                }
            }, 150);

        }
    }
</script>
</body>
</html>